body {
    font-family: 'Poppins', sans-serif;
    background: #fff;
    color: #000;
}
.container-song {
    max-width: 1250px;
    margin: 1rem auto;
    padding: 1rem;
    background: #ffffff;
    border-radius: 8px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}
.category-btn {
    background: #f0f0f0;
    color: #000;
    padding: 0.4rem 0.8rem;
    margin: 0.25rem;
    border-radius: 9999px;
    font-size: 0.85rem;
    white-space: nowrap;
    cursor: pointer;
    transition: all 0.3s ease;
}
.category-btn:hover {
    background: #e0e0e0;
}
.category-btn-selected {
    background: #dc2626 !important; 
    color: #fff !important;
}
.scroll-container {
    display: flex;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none;
}
.scroll-container::-webkit-scrollbar {
    display: none;
}
.icon-btn {
    color: #000;
    cursor: pointer;
    transition: color 0.3s;
    margin-right: 0.5rem; 
    background: none;
    border: none;
}
.icon-btn:hover {
    color: #dc2626;
}
.edit-input {
    width: 100%;
    border: none;
    background: #f8f8f8;
    font-size: 0.9rem;
}
input[type=range] {
    accent-color: red;
}
.step {
    background-color: #f9f9f9;
    padding: 20px;
}
@media screen and (max-width: 768px) {
    .step {
        padding: 15px;
        margin-bottom: 20px;
        max-width: 100%;
        overflow-x: hidden;
    }
}
.icon-btn:focus, #dice-btn:focus, #reset-btn:focus, #generate-btn:focus, .category-btn:focus, #count-slider:focus, button:focus {
    outline: none !important;
    box-shadow: none !important;
}

/* Custom Loader */
#spinner {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;
}
#spinner.show {
    display: flex !important;
    align-items: center;
    justify-content: center;
}
.loader {
    border: 4px solid #f3f3f3;
    border-top: 4px solid #000;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
}
@keyframes spin {
    0% { transform: rotate(0deg);}
    100% { transform: rotate(360deg); }
}

.step-description {
    font-size: 16px;
    color: #666;
}